
// ImagePanel.java
// Modified by Andrew Davison, Jan 2017, ad@fivedots.coe.psu.ac.th

/* ImagePanel is a JPanel that can load and display a BufferedImage
   by drawing the image onto itself.
*/

import java.awt.*;
import javax.swing.*;
import java.awt.image.*;
import javax.imageio.*;
import java.io.*;


public class ImagePanel extends JPanel
{
  private int width, height; // of this panel
  private BufferedImage panelImage;


  public ImagePanel(int w, int h)
  {
    width = w; height = h;
    panelImage = null;
    // setBackground(Color.WHITE);
  }  // end of ImagePanel()



  public void setImage(BufferedImage im)
  {
    panelImage = im;
    // invalidate();
    repaint();
  }  // end of setImage()




  // ----- redefined methods inherited from JPanel ---------------

  public Dimension getPreferredSize()
  {   return new Dimension(width, height); }


  public void paintComponent(Graphics g)
  {
    super.paintComponent(g);  // repaint standard stuff first
    // g.clearRect(0, 0, width, height);
    if (panelImage != null)
      g.drawImage(panelImage, 0, 0, width, height, null);
  }  // end of paintComponent()


}  // end of ImagePanel class
